Name:           perl-HTTP-ProxyAutoConfig
Version:        0.3
Release:    1%{?dist}
Summary:        Use a .pac or wpad.dat file to get proxy information
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTTP-ProxyAutoConfig
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MACKENNA/HTTP-ProxyAutoConfig-%{version}.tar.gz
Source1:        LICENSE.correspondence
BuildArch:      noarch
BuildRequires: make
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.56
%{?_with_network_tests:
BuildRequires:  perl(Carp)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(LWP::UserAgent) >= 5.834
BuildRequires:  perl(Test::More)
}

%{?perl_default_filter}

%description
HTTP::ProxyAutoConfig allows perl scripts that need to access the Internet
to determine whether to do so via a proxy server. To do this, it uses proxy
settings provided by an IT department, either on the Web or in a browser's
.pac file on disk.

%prep
%setup -q -n HTTP-ProxyAutoConfig-%{version}
cp %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
%{?_with_network_tests: make test}

%files
%doc Changes examples README LICENSE.correspondence
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3-1
- initial build
